.layout-topbar-actions>li>ul>li:hover {
  /* background-color: rgba(33, 112, 231, 0.2); */
  background-color: var(--primary-contrast-lighter-color);
  -moz-transition: background-color 0.2s;
  -o-transition: background-color 0.2s;
  -webkit-transition: background-color 0.2s;
  transition: background-color 0.2s;
}

.menu-wrapper .sidebar-logo .sidebar-pin>span {
  display: block;
  height: 16px;
  width: 16px;
  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  border: 2px solid #dee2e6;
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>a {
  color: var(--primary-text-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>a:hover {
  color: #2170E7;
  color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>a.active-route::before {
  background-color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a {
  color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a::before {
  background-color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul>li.active-menuitem {
  background-color: #ffffff;
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul>li.active-menuitem>a {
  background-color: #ffffff;
  color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul>li>a.active-route {
  color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul>li>a.active-route::before {
  background-color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li a {
  color: rgba(41, 50, 65, 0.7);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li a:hover {
  background-color: var(--primary-contrast-lighter-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li.active-menuitem>a {
  color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li.active-menuitem>a::before {
  background-color: var(--primary-contrast-color);
}

@media (min-width: 992px) {
  .layout-menu-default.layout-horizontal .menu-wrapper {
    box-shadow: none;
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>a {
    color: var(--primary-text-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>a:hover {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a {
    background-color: var(--primary-contrast-lighter-color);
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a i {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a:hover {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul {
    background-color: #ffffff;
    box-shadow: 0px 10px 40px rgba(41, 50, 65, 0.06);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul li>a {
    color: rgba(41, 50, 65, 0.7);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul li>a:hover {
    background-color: var(--primary-contrast-lighter-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul li.active-menuitem>a {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul li>a.active-route {
    background-color: var(--primary-contrast-color);
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul li>a.active-route i {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul li>a.active-route:hover {
    color: var(--primary-contrast-color);
  }
}

@media (max-width: 991px) {
  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>a {
    color: var(--primary-text-color);
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>a:hover {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a::before {
    background-color: var(--primary-contrast-color);
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul>li.active-menuitem {
    background-color: var(--primary-contrast-lighter-color);
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul>li.active-menuitem>a {
    background-color: var(--primary-contrast-lighter-color);
    color: #293241;
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li a {
    color: rgba(41, 50, 65, 0.7);
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li a:hover {
    background-color: var(--primary-contrast-lighter-color);
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li.active-menuitem>a {
    color: #293241;
  }
}

.layout-rightpanel {
  position: fixed;
  z-index: 1000;
  right: 0;
  top: 0;
  height: 100vh;
  padding: 0;
  width: 418px;
  overflow: auto;
  background-color: var(--primary-theme-color);
  color: var(--primary-text-color);
  transform: translate3d(418px, 0px, 0px);
  -moz-transition: transform 0.2s;
  -o-transition: transform 0.2s;
  -webkit-transition: transform 0.2s;
  transition: transform 0.2s;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  backface-visibility: hidden;
  box-shadow: 0px 10px 40px rgba(41, 50, 65, 0.06);
}

@media (max-width: 450px) {
  .layout-rightpanel {
    width: 100%;
  }
}

.layout-footer .newsletter-input {
  margin-top: 16px;
  background-color: #ffffff;
  position: relative;
  -moz-border-radius: 12px;
  -webkit-border-radius: 12px;
  border-radius: 12px;
}

.layout-config {
  width: 16rem;
  height: 100%;
  position: fixed;
  right: 0;
  top: 0;
  padding: 1rem;
  overflow: auto;
  background: var(--secondary-theme-color);
  z-index: 999;
  border-left: 0 none;
  transform: translateX(100%);
  transition: transform 0.2s cubic-bezier(0.05, 0.74, 0.2, 0.99);
}

.layout-config.layout-config-active {
  transform: translateX(0);
  box-shadow: 0 2px 4px -1px rgba(0, 0, 0, 0.2), 0 4px 5px 0 rgba(0, 0, 0, 0.14), 0 1px 10px 0 rgba(0, 0, 0, 0.12);
}

.layout-config p {
  line-height: 1.5rem;
  color: #6c757d;
}

.layout-config-button {
  display: block;
  position: fixed;
  width: 3rem;
  height: 3rem;
  line-height: 3rem;
  background: var(--primary-color);
  color: var(--primary-color-text);
  text-align: center;
  top: 50%;
  right: 0;
  margin-top: -1.5rem;
  border-top-left-radius: 24px;
  border-bottom-left-radius: 24px;
  transition: background-color 0.2s;
  overflow: hidden;
  cursor: pointer;
  z-index: 999;
  box-shadow: -0.25rem 0 1rem rgba(0, 0, 0, 0.15);
}
